Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 165065 - Misformated output from /etc/rc.d/init.d/nfslock stop
Summary: Misformated output from /etc/rc.d/init.d/nfslock stop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On: 154648
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-08-04 00:33 UTC by Steve Dickson
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2005-727
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 17:46:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:727 qe-ready SHIPPED_LIVE nfs-utils bug fix update 2005-10-05 04:00:00 UTC

Description Steve Dickson 2005-08-04 00:33:57 UTC
+++ This bug was initially created as a clone of Bug #154648 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031114

Description of problem:
In some cases nfslock stop will not write newlines between the output lines
causing error messages to be overwritten before you have had time to read them.


Version-Release number of selected component (if applicable):
nfs-utils-1.0.6-52

How reproducible:
Always

Steps to Reproduce:
1. /etc/rc.d/init.d/nfslock stop


Actual Results:  Stopping NFS statd:   [  OK  ]


Expected Results:  Stopping NFS locking: [Failed]
Stopping NFS statd:   [  OK  ]


Additional info:

On a slow machine the Failed message will be visible for a splitsecond while
shutting down the system. I don't know why it fails, maybe that is a different bug.

Comment 1 Steve Dickson 2005-08-04 00:35:59 UTC
Fixed in nfs-utils-1.0.6-57

Comment 8 Red Hat Bugzilla 2005-10-05 17:32:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-727.html


Comment 9 Red Hat Bugzilla 2005-10-05 17:46:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-727.html



Note You need to log in before you can comment on or make changes to this bug.